не могу включить необходимые пакеты

4 views
Skip to first unread message

Vitaly

unread,
Oct 15, 2010, 4:50:09 AM10/15/10
to Russian Zope3 group
Помогите кто чем может!!!

Включаю в etc/site.zcml необходимые пакеты, выполняю ./bin/buildout,
но в breampy и paster в sys.path не появляются необходимые строки.
Раньше работало, ничего не понимаю.

Заранее спасибо.

Ilshad Khabibullin

unread,
Oct 15, 2010, 4:54:54 AM10/15/10
to zope...@googlegroups.com
Такое и раньше не работало, никогда не работало.

Наличие включений в zcml не означает что зависимости скачаются из интернета ;)

2010/10/15 Vitaly <vit...@mail.ru>

--
Russian Zope3 group http://zope3.ru/
Для отправки сообщений zope...@googlegroups.com
Отписаться zope3-ru-u...@googlegroups.com
Архив http://groups.google.com/group/zope3-ru



--
Ilshad R. Khabibullin
http://astoon.zwiki.org
+7 922 600 56 06

Vitaly

unread,
Oct 15, 2010, 5:36:53 AM10/15/10
to Russian Zope3 group
Странно, раньше у меня пересобирались файлы breampy и paster и сейчас
новые версии пакетов скачиваются,
т.к. в файле ~/.buildout/default.cfg укзано newest=false

А как же быть? :`(

On 15 окт, 14:54, Ilshad Khabibullin <astoon....@gmail.com> wrote:
> Такое и раньше не работало, никогда не работало.
>
> Наличие включений в zcml не означает что зависимости скачаются из интернета
> ;)
>

> 2010/10/15 Vitaly <vita...@mail.ru>


>
> > Помогите кто чем может!!!
>
> > Включаю в etc/site.zcml необходимые пакеты, выполняю ./bin/buildout,
> > но в breampy и paster  в sys.path не появляются необходимые строки.
> > Раньше работало, ничего не понимаю.
>
> > Заранее спасибо.
>
> > --

> > Russian Zope3 grouphttp://zope3.ru/


> > Для отправки сообщений zope...@googlegroups.com
> > Отписаться zope3-ru-u...@googlegroups.com
> > Архивhttp://groups.google.com/group/zope3-ru
>
> --

> Ilshad R. Khabibullinhttp://astoon.zwiki.org

Vitaly

unread,
Oct 15, 2010, 5:44:06 AM10/15/10
to Russian Zope3 group
Что сделать что бы пересобирались breampy и paster???

On 15 окт, 14:54, Ilshad Khabibullin <astoon....@gmail.com> wrote:

> Такое и раньше не работало, никогда не работало.
>
> Наличие включений в zcml не означает что зависимости скачаются из интернета
> ;)
>

> 2010/10/15 Vitaly <vita...@mail.ru>


>
> > Помогите кто чем может!!!
>
> > Включаю в etc/site.zcml необходимые пакеты, выполняю ./bin/buildout,
> > но в breampy и paster  в sys.path не появляются необходимые строки.
> > Раньше работало, ничего не понимаю.
>
> > Заранее спасибо.
>
> > --

> > Russian Zope3 grouphttp://zope3.ru/


> > Для отправки сообщений zope...@googlegroups.com
> > Отписаться zope3-ru-u...@googlegroups.com

> > Архивhttp://groups.google.com/group/zope3-ru
>
> --
> Ilshad R. Khabibullinhttp://astoon.zwiki.org

Vitaly

unread,
Oct 15, 2010, 6:13:38 AM10/15/10
to Russian Zope3 group
ошибся, указано newest=true

в частности не могу подключить ice.control, новая версия скачалась, но
в breampy и paster не включилась :(

Ilshad Khabibullin

unread,
Oct 15, 2010, 6:46:01 AM10/15/10
to zope...@googlegroups.com

Но вы пишете "etc/site.zcml необходимые пакеты, выполняю ./bin/buildout". Какая ж между ними связь?

Есть setup.py, есть комментарии в buildout.cfg о том, как держать под личым контролем номера версий третьесторонних пактеов.

2010/10/15 Vitaly <vit...@mail.ru>
--
Russian Zope3 group http://zope3.ru/

Для отправки сообщений zope...@googlegroups.com
Отписаться zope3-ru-u...@googlegroups.com



--
Ilshad R. Khabibullin

Ilshad Khabibullin

unread,
Oct 15, 2010, 6:55:45 AM10/15/10
to zope...@googlegroups.com
На всякий случай - в прошлой версии paster-шаблона bluebream был некорректный buildout.cfg, лучше обновить:

pip install --upgrade bluebream
Reply all
Reply to author
Forward
0 new messages